Subject: posters
From: "Deborah Downing" <[email-masked]>
To: "'Mike'" <[email-masked]>
Date: Wed, 9 Jan 2008 10:01:07 -0800

Hi Mike,

I've been researching addresses and Grass Valley has a problem.  Apparently
the post office does not deliver there.  Can we hold those and ship with the
rest of the new ones?  I'm trying to list the problem addresses and ship
those posters to the regionals.  If you can help with any of the bad ones
you know of that would help a great deal.

Debbie